

Best not deref null on kernel threads.


---

 25-akpm/include/asm-generic/tlb.h |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletion(-)

diff -puN include/asm-generic/tlb.h~reduce-tlb-flushing-during-process-migration-oops-fix include/asm-generic/tlb.h
--- 25/include/asm-generic/tlb.h~reduce-tlb-flushing-during-process-migration-oops-fix	2004-05-24 22:20:30.018626600 -0700
+++ 25-akpm/include/asm-generic/tlb.h	2004-05-24 22:21:12.621150032 -0700
@@ -147,6 +147,10 @@ static inline void tlb_remove_page(struc
 		__pmd_free_tlb(tlb, pmdp);			\
 	} while (0)
 
-#define tlb_migrate_finish(mm) flush_tlb_mm(mm)
+#define tlb_migrate_finish(mm)					\
+	do {							\
+		if (likely(mm))					\
+			flush_tlb_mm(mm);			\
+	} while (0)
 
 #endif /* _ASM_GENERIC__TLB_H */

_
